javax.xml.stream

## Interface XMLEventWriter

- All Superinterfaces:
    XMLEventConsumer

      public interface XMLEventWriter
      extends XMLEventConsumer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(XMLEvent event)`
    `void` | `add(XMLEventReader reader)`
    `void` | `close()`
    `void` | `flush()`
    `NamespaceContext` | `getNamespaceContext()`
    `java.lang.String` | `getPrefix(java.lang.String uri)`
    `void` | `setDefaultNamespace(java.lang.String uri)`
    `void` | `setNamespaceContext(NamespaceContext context)`
    `void` | `setPrefix(java.lang.String prefix, java.lang.String uri)`

- - ### Method Detail

    - #### add

          void add(XMLEvent event)
                   throws XMLStreamException

      Specified by:
        `add` in interface `XMLEventConsumer`
      Throws:
        `XMLStreamException`

    - #### add

          void add(XMLEventReader reader)
                   throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### close

          void close()
                     throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### flush

          void flush()
                     throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### getNamespaceContext

          NamespaceContext getNamespaceContext()

    - #### getPrefix

          java.lang.String getPrefix(java.lang.String uri)
                                     throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### setDefaultNamespace

          void setDefaultNamespace(java.lang.String uri)
                                   throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### setNamespaceContext

          void setNamespaceContext(NamespaceContext context)
                                   throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### setPrefix

          void setPrefix(java.lang.String prefix,
                       java.lang.String uri)
                         throws XMLStreamException

      Throws:
        `XMLStreamException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.